using System;

namespace UseYieldReturn
{
    using System.Collections.Generic;

    class Program
    {
        static IEnumerable<string> SimpleEnumerable()
        {
            yield return "jabłka";
            yield return "pomarańcze";
            yield return "banany";
            yield return "jednorożce";
        }
        static void Main(string[] args)
        {
            foreach (var s in SimpleEnumerable()) Console.WriteLine(s);
        }

    }
}
